Package com.ngrok.services

# Class SshUserCertificates

java.lang.Object
com.ngrok.services.SshUserCertificates

public class SshUserCertificates extends Object
SSH User Certificates are presented by SSH clients when connecting to an SSH server to authenticate their connection. The SSH server must trust the SSH Certificate Authority used to sign the certificate. See also https://ngrok.com/docs/api#api-ssh-user-certificates.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SshUserCertificates.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `SshUserCertificates.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `SshUserCertificates.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `SshUserCertificates.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `SshUserCertificates.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshUserCertificates(NgrokApiClient apiClient)`
  Creates a new sub-client for SshUserCertificates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SshUserCertificates.CreateCallBuilder`
  `create(String sshCertificateAuthorityId, String publicKey)`
  Create a new SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-create.
  `SshUserCertificates.DeleteCallBuilder`
  `delete(String id)`
  Delete an SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-delete.
  `SshUserCertificates.GetCallBuilder`
  `get(String id)`
  Get detailed information about an SSH User Certficate See also https://ngrok.com/docs/api#api-ssh-user-certificates-get.
  `SshUserCertificates.ListCallBuilder`
  `list()`
  List all SSH User Certificates issued on this account See also https://ngrok.com/docs/api#api-ssh-user-certificates-list.
  `SshUserCertificates.UpdateCallBuilder`
  `update(String id)`
  Update an SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SshUserCertificates

    public SshUserCertificates(NgrokApiClient apiClient)
    Creates a new sub-client for SshUserCertificates.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public SshUserCertificates.CreateCallBuilder create(String sshCertificateAuthorityId, String publicKey)
    Create a new SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-create.
    Parameters:
      `sshCertificateAuthorityId` - the ssh certificate authority that is used to sign this ssh user certificate
      `publicKey` - a public key in OpenSSH Authorized Keys format that this certificate signs
    Returns:
      a call builder for this API call

  - ### delete

    public SshUserCertificates.DeleteCallBuilder delete(String id)
    Delete an SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public SshUserCertificates.GetCallBuilder get(String id)
    Get detailed information about an SSH User Certficate See also https://ngrok.com/docs/api#api-ssh-user-certificates-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public SshUserCertificates.ListCallBuilder list()
    List all SSH User Certificates issued on this account See also https://ngrok.com/docs/api#api-ssh-user-certificates-list.
    Returns:
      a call builder for this API call

  - ### update

    public SshUserCertificates.UpdateCallBuilder update(String id)
    Update an SSH User Certificate See also https://ngrok.com/docs/api#api-ssh-user-certificates-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call